### Method

# GtkSource AnnotationProvider add_annotation

since: 5.18

#### Declaration [src]

    void
    gtk_source_annotation_provider_add_annotation (
      GtkSourceAnnotationProvider* self,
      GtkSourceAnnotation* annotation
    )

#### Description [src]

Add an annotation to the provider.

Available since: 5.18

#### Parameters

`annotation`

  Type: `GtkSourceAnnotation`

  No description available.

  The data is owned by the caller of the method.